Bug 151633 - Remove perl-dependency
Remove perl-dependency
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cfengine (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Sheltren
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-21 03:59 EST by Enrico Scholz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.1.15-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-05 17:31:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2005-03-21 03:59:32 EST
Description of problem:

Please remove the perl dependency e.g. by splitting the package into
subpackages. perl -- which brings in around additional 50MB -- is required only
by addon programs which are not needed for core-functionality.

| $ rpm -qp --filerequire cfengine-2.1.13-4.i386.rpm  | grep perl
| /usr/sbin/cfdoc /usr/bin/perl 
| /usr/share/doc/cfengine-2.1.13/contrib/cfdoc    /usr/bin/perl 


Version-Release number of selected component (if applicable):

cfengine-2.1.13-4.i386.rpm
Comment 1 Jeff Sheltren 2005-03-25 11:17:58 EST
I'll look into splitting the package.  I wonder how many people running cfengine
aren't willing to install perl...
Comment 2 Enrico Scholz 2005-03-25 11:32:45 EST
cfengine is used by me in Linux Vservers (http://linux-vserver.org) which I want
to keep minimal. For most vservers, 'cfengine' will be the only package
requiring perl.
Comment 3 Enrico Scholz 2005-06-01 15:50:30 EDT
'cfdoc' is it really not worth to be included (and to add the perl deps). At
least, it could be removed from %_sbindir and the x-flag could be removed from
contrib/cfdoc so that the deps will not be created.
Comment 4 Jeff Sheltren 2005-06-20 23:08:58 EDT
Enrico, sorry for the delayed response - I've had some personal stuff going on
(getting married!).  I'm rolling a 2.1.15 package now, so I'll try to make this
change in it to get rid of the perl dep.
Comment 5 Jeff Sheltren 2005-06-21 00:22:07 EDT
Can you check out this package and let me know if it fixes that for you?

http://www.cs.ucsb.edu/~jeff/extras/cfengine-2.1.15-2.i386.rpm

SRPM:
http://www.cs.ucsb.edu/~jeff/extras/cfengine-2.1.15-2.src.rpm

8da57f3dadf2c345bacd199a859ba6830ec0f97b  cfengine-2.1.15-2.i386.rpm
4bb9b3b893e224d8b84d1d9b0a748866d59f988e  cfengine-2.1.15-2.src.rpm

Note You need to log in before you can comment on or make changes to this bug.